package com.xxrv.invoice.activity;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.widget.TextView;

import com.frame.base.bus.RxBus;
import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.base.BaseStatusActivity;
import com.ruiwenliu.wrapper.weight.TitleView;
import com.xxrv.invoice.R;
import com.xxrv.invoice.R2;
import com.xxrv.invoice.bus.InvoicingSuccessEvent;
import com.xxrv.invoice.presenter.InvoicePresenter;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/**
 * 开票功能页面
 */
public class InvoicingSuccessActivity extends BaseStatusActivity<InvoicePresenter> {


    public static Intent getIntent(Context context) {
        return new Intent(context, InvoicingSuccessActivity.class);
    }

    @Override
    protected int setLayout() {
        return R.layout.activity_invoicing_success;
    }

    @Override
    protected void initView(Bundle savedInstanceState, TitleView titleView, Intent intent) {
        titleView.setTitle("开具电子发票");
    }

    @Override
    public void onShowResult(int requestType, BaseBean result) {

    }


    @OnClick(R2.id.tv_ok)
    public void onViewClicked() {
        RxBus.post(new InvoicingSuccessEvent());
        finish();
    }
}
